org.apache.sysds.runtime.compress.cost

## Class InstructionTypeCounter

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.InstructionTypeCounter

All Implemented Interfaces:
  Serializable

    public final class InstructionTypeCounter
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompressedMultiplications()`
`int` `getDecompressions()`
`int` `getDictionaryOps()`
`int` `getIndexing()`
`int` `getLeftMultipications()`
`int` `getOverlappingDecompressions()`
`int` `getRightMultiplications()`
`int` `getScans()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getScans

    public int getScans()

#### getDecompressions

    public int getDecompressions()

#### getOverlappingDecompressions

    public int getOverlappingDecompressions()

#### getLeftMultipications

    public int getLeftMultipications()

#### getRightMultiplications

    public int getRightMultiplications()

#### getCompressedMultiplications

    public int getCompressedMultiplications()

#### getDictionaryOps

    public int getDictionaryOps()

#### getIndexing

    public int getIndexing()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`